Create a ledger entry

Create a ledger entry

ℹ️

This endpoint requires the following scope: ledger_entries:all

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

ℹ️

This endpoint requires one of the following scopes: ledger_entries:all


Body Params
date
required

Date of the ledger entry (ISO 8601)

date | null

Due date of the ledger entry (ISO 8601)

string
required

Label that describes the ledger entry

int64
required

The journal ID where you want to create the ledger entry

int64
deprecated

Ledger attachment ID.

⚠️

This attribute is deprecated and will be removed soon. Please use file_attachment_id instead.

int64

File attachment ID (replaces deprecated ledger_attachment_id)

string
enum

Currency code of the ledger entry as per ISO 4217. If not provided, EUR will be used. This currency is applicable to all ledger_entry_lines

string

A piece number you can provide to track this ledger entry. If not provided, Pennylane will generate an identifier for you.

ledger_entry_lines
array of objects
required
length ≥ 1

Array of ledger entry lines. The entry lines must be
balanced. The max number of ledger entry lines that you can create
using this endpoint is 1000 per request.

ledger_entry_lines*
string
required
^(-?\d+(\.\d+)?)?$

Debit amount for the entry line

string
required
^(-?\d+(\.\d+)?)?$

Credit amount for the entry line

int64
required

Ledger account ID

string

Label that describes the entry line

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json